1. Appeals
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Status Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Files
    • Upload File
  • Webhook
    • Overview
    • Event Types
    • Verifying
    • Payment Event
    • Payout Event
    • Appeal Event
  1. Appeals

Retrieve Appeal

GET
/appeals/{id}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/appeals/apl_2n5nMVAepGqUFHo8' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example
{
    "data": {
        "id": "apl_2n5nMVAepGqUFHo8",
        "transaction_id": "txn_2n1TLgiZFvF7DZuL",
        "requested": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "resolved": {
            "amount": "0.00",
            "currency": "XTS"
        },
        "attachments": [
            {
                "type": "receipt",
                "file_id": "file_2n5nK8HXcf77PuRT",
                "name": "receipt_10426.pdf",
                "url": "https://api.casharc.pro/merchant/v1/files/file_2n5nK8HXcf77PuRT/content"
            }
        ],
        "status": "processing",
        "status_code": "processing",
        "created_at": "2026-01-01T00:52:00Z",
        "finalized_at": null,
        "metadata": {}
    }
}
Previous
List Appeals
Next
Cancel Appeal
Built with